package com.jxy.marketall.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.jxy.common.core.annotation.ParamName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description TODO
 * @Date 2022/6/20 17:44
 * @Author 杜懿
 */
@Data
public class BinanceKLine implements Serializable {

    /** openTime */
    private Date t;

    /** openPrice */
    private Double o;

    /** highPrice */
    private Double h;

    /** lowPrice */
    private Double l;

    /** closePrice */
    private Double c;

    /** volume */
    private Double v;

    /** closeTime */
    private Date T;

    private Date closeTime=T;

    /** quality */
    private Double q;

    /** num */
    private Double n;

    /** buyVolume */
    private Double V;

    private Double buyVolume =V;

    /** buyQuality */
    private Double Q;

    private Double buyQuality=Q;

    /** symbol */
    private String s;

    public Date getOpenTime() {
        return t;
    }

    public void setOpenTime(Date t) {
        this.t = t;
    }

    public Date getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(Date T) {
        this.closeTime = T;
    }

    public Double getBuyQuality() {
        return buyQuality;
    }

    public void setBuyQuality(Double Q) {
        this.buyQuality = Q;
    }

    public Double getQuality() {
        return q;
    }

    public void setQuality(Double q) {
        this.q = q;
    }

    public Double getBuyVolume() {
        return buyVolume;
    }

    public void setBuyVolume(Double V) {
        this.buyVolume = V;
    }

    public Double getVolume() {
        return v;
    }

    public void setVolume(Double v) {
        this.v = v;
    }
}
